Información importante a tener en cuenta antes de instalar la versión 24.0 de Velneo

Esta es la información sobre cambios que se han realizado en la versión Velneo 24 y que debes tener en cuenta antes de actualizar y desplegar tus aplicaciones en la nueva versión. Encontrarás siempre toda la información en Notas de la Versión 24.

Incidencia detectada al crear etiquetas de texto en informes estándar

Estamos trabajando en una revisión que lo solucione. Como solución temporal, podemos copiar y pegar etiquetas ya existentes.

Nuevos requerimientos en Windows

No es posible ejecutar componentes con interfaz en sistemas operativos Windows Vista (32 y 64 bits) y Windows 2008 32 bits, aunque sí podremos hacer uso de Velneo vServer y Velneo vActivator para activar el servidor.

Nuevos requerimientos en Linux

Se han actualizado librerías necesarias para el correcto funcionamiento de Velneo y esto conlleva unos nuevos requisitos en cuanto a librerías de sistema en Linux:

  • GLIBC 2.23 o superior (Disponible ya en Ubuntu 16)

Más información sobre requerimientos en Requerimientos de Velneo.

Extensión del corrector ortográfico

Hemos detectado una incidencia en esta extensión que provoca un error en la versión 24 de Velneo.

Está disponible una actualización de esta extensión en la que conseguimos evitar el error, aunque el proceso de carga ahora tiene una duración excesiva. Estamos trabajando en una solución.

Cambios en la aplicación de CSS por identificador del control

Si en CSS estás aplicando un estilo a todos los controles cuyo identificador empieza con una cadena determinada usando el parámetro objectname con el operador |=, deberás cambiarlo por el operador ^=. El motivo es que el operador |= no estaba funcionando correctamente, ya que busca los que comienzan con la cadena y luego tengan guiones (-) y Velneo no usa el guión en los identificadores sino el carácter de subrayado (_).

El operador ^= es el que se debe usar para obtener el resultado deseado.

Renderización de QML por software

Para QML 2, en la versión anterior, si se quería hacer una renderización por software simplemente había que asignar a la variable de sistema QT_OPENGL el valor software.

En esta versión, además, tendremos que usar también la variable del sistema QT_QUICK_BACKEND con el valor software.

Visor HTML

Hemos actualizado el navegador que incorpora el control a la versión 56 de Chromium con mejoras de rendimiento y mayor compatibilidad con la web. La actualización del navegador podría introducir cambios de comportamiento en tu aplicación.

Más información sobre cambios de la versión en Notas de la versión 24.

Este artículo Información importante a tener en cuenta antes de instalar la versión 24.0 de Velneo es original de Velneo.